Skip to main content
GET
/
organization
/
{organizationId}
/
currentCost
Get organization current cost
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/currentCost \
  --header 'Authorization: Bearer <token>'
{
  "plan": "FREE",
  "remaining_trial_day": 123,
  "renewal_at": "2023-11-07T05:31:56Z",
  "cost": {
    "total_in_cents": 30000,
    "total": 300,
    "currency_code": "USD"
  }
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Response

Get Cost

plan
enum<string>

FREE, BUSINESS & PROFESSIONAL are deprecated. 2025 plans are the new plans available.

Available options:
FREE,
TEAM,
TEAM_YEARLY,
ENTERPRISE,
ENTERPRISE_YEARLY,
PROFESSIONAL,
BUSINESS,
USER_2025,
TEAM_2025,
BUSINESS_2025,
ENTERPRISE_2025
remaining_trial_day
integer

number of days remaining before the end of the trial period

renewal_at
string<date-time> | null
read-only

date when the current plan will be renewed

cost
object